Download the PHP package globee/payment-api without Composer

On this page you can find all versions of the php package globee/payment-api. It is possible to download/install these versions without Composer. Possible dependencies are resolved automatically.

Please rate this library. Is it a good library?

All versions of payment-api with dependencies

Informations about the package payment-api

GloBee Payment API

Build Status Scrutinizer Code Quality Code Coverage Latest Stable Version

This is a library to integrate your system with the GloBee Payment API to manage and accept crypto payments through our system.

Note:

If using PHP 7.0 or below, use version 0.4.0 or lower.

Installation with Composer

Run the following command in your project to add this package:

Authenticate with GloBee

To receive a valid X-AUTH-ID, complete the following steps: 1) Sign into GloBee, and navigate to the Payment API section on the backend panel. 2) Copy the "Payment API Key" and store it somewhere in your code.

Usage Example

To create an invoice on GloBee and receive a redirect to a payment interstitial, you can copy and modify the below code.

Create new Payment Request

Fetch existing Payment Request

Convert response from IPN into a PaymentRequest object

Documentation

For more information please view the documentation at: https://globee.com/docs/payment-api/v1

License

This software is open-sourced software licensed under the GNU General Public Licence version 3 or later


Version
Requires php Version >=5.5
ext-curl Version *
ext-json Version *

The package globee/payment-api contains the following files

Loading the files please wait ....